##
##  svnnotify.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2013 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_svn_notify                        2.84
%define       V_svn_notify_config                 0.0911
%define       V_svn_notify_mirror                 0.040
%define       V_svn_notify_snapshot               0.04
%define       V_svn_notify_filter_authzmail       1.01
%define       V_svn_notify_filter_emailflatfiledb 1.01
%define       V_svn_notify_filter_watchers        0.10

#   package information
Name:         svnnotify
Summary:      Subversion Repository Notification
URL:          http://www.cpan.org/modules/by-module/SVN/
Vendor:       David Wheeler et al.
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        SCM
License:      GPL/Artistic
Version:      %{V_svn_notify}
Release:      20130925

#   package options
%option       with_config  yes
%option       with_mirror  yes

#   list of sources
Source0:      http://www.cpan.org/modules/by-module/SVN/SVN-Notify-%{V_svn_notify}.tar.gz
Source1:      http://www.cpan.org/modules/by-module/SVN/SVN-Notify-Config-%{V_svn_notify_config}.tar.gz
Source2:      http://www.cpan.org/modules/by-module/SVN/SVN-Notify-Mirror-%{V_svn_notify_mirror}.tar.gz
Source3:      http://www.cpan.org/modules/by-module/SVN/SVN-Notify-Snapshot-%{V_svn_notify_snapshot}.tar.gz
Source4:      http://www.cpan.org/modules/by-module/SVN/SVN-Notify-Filter-AuthZMail-%{V_svn_notify_filter_authzmail}.tar.gz
Source5:      http://www.cpan.org/modules/by-module/SVN/SVN-Notify-Filter-EmailFlatFileDB-%{V_svn_notify_filter_emailflatfiledb}.tar.gz
Source6:      http://www.cpan.org/modules/by-module/SVN/SVN-Notify-Filter-Watchers-%{V_svn_notify_filter_watchers}.tar.gz
Patch0:       svnnotify.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, perl-openpkg
PreReq:       OpenPKG, openpkg >= 20100101, subversion
BuildPreReq:  perl, perl-net, perl-xml, perl-module
PreReq:       perl, perl-net, perl-xml, perl-module
%if "%{with_config}" == "yes"
BuildPreReq:  yaml, yaml::with_perl = yes
PreReq:       yaml, yaml::with_perl = yes
%endif
%if "%{with_mirror}" == "yes"
BuildPreReq:  perl-ssh, perl-sys, rsync
PreReq:       perl-ssh, perl-sys, rsync
%endif

%description
    svnnotify(1) and the underlying Perl module SVN::Notify may be used
    for sending Email messages for Subversion repository activity. There
    are a number of different modes supported, and SVN::Notify is fully
    sub-classable to easily add new functionality. By default, A list of
    all the files affected by the commit will be assembled and listed in
    a single message. An additional option allows diffs to be calculated
    for the changes and either appended to the message or added as an
    attachment.

%track
    prog svnnotify:SVN-Notify = {
        version   = %{V_svn_notify}
        url       = http://www.cpan.org/modules/by-module/SVN/
        regex     = SVN-Notify-(__VER__)\.tar\.gz
    }
    prog svnnotify:SVN-Notify-Config = {
        version   = %{V_svn_notify_config}
        url       = http://www.cpan.org/modules/by-module/SVN/
        regex     = SVN-Notify-Config-(__VER__)\.tar\.gz
    }
    prog svnnotify:SVN-Notify-Mirror = {
        version   = %{V_svn_notify_mirror}
        url       = http://www.cpan.org/modules/by-module/SVN/
        regex     = SVN-Notify-Mirror-(__VER__)\.tar\.gz
    }
    prog svnnotify:SVN-Notify-Snapshot = {
        version   = %{V_svn_notify_snapshot}
        url       = http://www.cpan.org/modules/by-module/SVN/
        regex     = SVN-Notify-Snapshot-(__VER__)\.tar\.gz
    }
    prog svnnotify:SVN-Notify-Filter-AuthZMail = {
        version   = %{V_svn_notify_filter_authzmail}
        url       = http://www.cpan.org/modules/by-module/SVN/
        regex     = SVN-Notify-Filter-AuthZMail-(__VER__)\.tar\.gz
    }
    prog svnnotify:SVN-Notify-Filter-EmailFlatFileDB = {
        version   = %{V_svn_notify_filter_emailflatfiledb}
        url       = http://www.cpan.org/modules/by-module/SVN/
        regex     = SVN-Notify-Filter-EmailFlatFileDB-(__VER__)\.tar\.gz
    }
    prog svnnotify:SVN-Notify-Filter-Watchers = {
        version   = %{V_svn_notify_filter_watchers}
        url       = http://www.cpan.org/modules/by-module/SVN/
        regex     = SVN-Notify-Filter-Watchers-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
%if "%{with_config}" == "yes"
    %setup -q -D -T -a 1
%endif
%if "%{with_mirror}" == "yes"
    %setup -q -D -T -a 2
%endif
    %setup -q -D -T -a 3
    %setup -q -D -T -a 4
    %setup -q -D -T -a 5
    %setup -q -D -T -a 6
    %{l_sed} <%{PATCH0} -e 's;@l_prefix@;%{l_prefix};g' | %{l_patch} -p0 -b

%build

%install
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE0} configure build install
%if "%{with_config}" == "yes"
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE1} configure build install
%endif
%if "%{with_mirror}" == "yes"
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE2} configure build install
%endif
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE3} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE4} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE5} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE6} configure build install
    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} `cat perl-openpkg-files`

%files -f files

%clean

